diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/include/linux/vserver/history.h linux-2.6.20.14-vs2.2.0.0.6/include/linux/vserver/history.h
--- linux-2.6.20.14-vs2.2.0/include/linux/vserver/history.h	2007-02-06 03:05:22 +0100
+++ linux-2.6.20.14-vs2.2.0.0.6/include/linux/vserver/history.h	2007-06-13 09:04:26 +0200
@@ -3,8 +3,8 @@
 
 
 enum {
-	VXH_UNUSED=0,
-	VXH_THROW_OOPS=1,
+	VXH_UNUSED = 0,
+	VXH_THROW_OOPS = 1,
 
 	VXH_GET_VX_INFO,
 	VXH_PUT_VX_INFO,
@@ -128,20 +128,20 @@ void	__vxh_throw_oops(void *__here)
 
 #define vxh_throw_oops()	__vxh_throw_oops(__HERE__);
 
-#define __vxh_get_vx_info(v,h)	__vxh_smpl(v, VXH_GET_VX_INFO, h);
-#define __vxh_put_vx_info(v,h)	__vxh_smpl(v, VXH_PUT_VX_INFO, h);
+#define __vxh_get_vx_info(v, h)	__vxh_smpl(v, VXH_GET_VX_INFO, h);
+#define __vxh_put_vx_info(v, h)	__vxh_smpl(v, VXH_PUT_VX_INFO, h);
 
-#define __vxh_init_vx_info(v,d,h) \
-	__vxh_data(v,d, VXH_INIT_VX_INFO, h);
-#define __vxh_set_vx_info(v,d,h) \
-	__vxh_data(v,d, VXH_SET_VX_INFO, h);
-#define __vxh_clr_vx_info(v,d,h) \
-	__vxh_data(v,d, VXH_CLR_VX_INFO, h);
+#define __vxh_init_vx_info(v, d, h) \
+	__vxh_data(v, d, VXH_INIT_VX_INFO, h);
+#define __vxh_set_vx_info(v, d, h) \
+	__vxh_data(v, d, VXH_SET_VX_INFO, h);
+#define __vxh_clr_vx_info(v, d, h) \
+	__vxh_data(v, d, VXH_CLR_VX_INFO, h);
 
-#define __vxh_claim_vx_info(v,d,h) \
-	__vxh_data(v,d, VXH_CLAIM_VX_INFO, h);
-#define __vxh_release_vx_info(v,d,h) \
-	__vxh_data(v,d, VXH_RELEASE_VX_INFO, h);
+#define __vxh_claim_vx_info(v, d, h) \
+	__vxh_data(v, d, VXH_CLAIM_VX_INFO, h);
+#define __vxh_release_vx_info(v, d, h) \
+	__vxh_data(v, d, VXH_RELEASE_VX_INFO, h);
 
 #define vxh_alloc_vx_info(v) \
 	__vxh_smpl(v, VXH_ALLOC_VX_INFO, __HERE__);
@@ -153,12 +153,12 @@ void	__vxh_throw_oops(void *__here)
 #define vxh_unhash_vx_info(v) \
 	__vxh_smpl(v, VXH_UNHASH_VX_INFO, __HERE__);
 
-#define vxh_loc_vx_info(v,l) \
-	__vxh_long(v,l, VXH_LOC_VX_INFO, __HERE__);
-#define vxh_lookup_vx_info(v,l) \
-	__vxh_long(v,l, VXH_LOOKUP_VX_INFO, __HERE__);
-#define vxh_create_vx_info(v,l) \
-	__vxh_long(v,l, VXH_CREATE_VX_INFO, __HERE__);
+#define vxh_loc_vx_info(v, l) \
+	__vxh_long(v, l, VXH_LOC_VX_INFO, __HERE__);
+#define vxh_lookup_vx_info(v, l) \
+	__vxh_long(v, l, VXH_LOOKUP_VX_INFO, __HERE__);
+#define vxh_create_vx_info(v, l) \
+	__vxh_long(v, l, VXH_CREATE_VX_INFO, __HERE__);
 
 extern void vxh_dump_history(void);
 
@@ -169,15 +169,15 @@ extern void vxh_dump_history(void);
 
 #define vxh_throw_oops()		do { } while (0)
 
-#define __vxh_get_vx_info(v,h)		do { } while (0)
-#define __vxh_put_vx_info(v,h)		do { } while (0)
+#define __vxh_get_vx_info(v, h)		do { } while (0)
+#define __vxh_put_vx_info(v, h)		do { } while (0)
 
-#define __vxh_init_vx_info(v,d,h)	do { } while (0)
-#define __vxh_set_vx_info(v,d,h)	do { } while (0)
-#define __vxh_clr_vx_info(v,d,h)	do { } while (0)
+#define __vxh_init_vx_info(v, d, h)	do { } while (0)
+#define __vxh_set_vx_info(v, d, h)	do { } while (0)
+#define __vxh_clr_vx_info(v, d, h)	do { } while (0)
 
-#define __vxh_claim_vx_info(v,d,h)	do { } while (0)
-#define __vxh_release_vx_info(v,d,h)	do { } while (0)
+#define __vxh_claim_vx_info(v, d, h)	do { } while (0)
+#define __vxh_release_vx_info(v, d, h)	do { } while (0)
 
 #define vxh_alloc_vx_info(v)		do { } while (0)
 #define vxh_dealloc_vx_info(v)		do { } while (0)
@@ -185,9 +185,9 @@ extern void vxh_dump_history(void);
 #define vxh_hash_vx_info(v)		do { } while (0)
 #define vxh_unhash_vx_info(v)		do { } while (0)
 
-#define vxh_loc_vx_info(a,v)		do { } while (0)
-#define vxh_lookup_vx_info(a,v)		do { } while (0)
-#define vxh_create_vx_info(a,v)		do { } while (0)
+#define vxh_loc_vx_info(v, l)		do { } while (0)
+#define vxh_lookup_vx_info(v, l)	do { } while (0)
+#define vxh_create_vx_info(v, l)	do { } while (0)
 
 #define vxh_dump_history()		do { } while (0)
 
diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/include/linux/vserver/limit.h linux-2.6.20.14-vs2.2.0.0.6/include/linux/vserver/limit.h
--- linux-2.6.20.14-vs2.2.0/include/linux/vserver/limit.h	2007-02-06 03:05:22 +0100
+++ linux-2.6.20.14-vs2.2.0.0.6/include/linux/vserver/limit.h	2007-06-13 09:08:22 +0200
@@ -24,27 +24,27 @@
 #warning RLIM_INFINITY is undefined
 #endif
 
-#define __rlim_val(l,r,v)	((l)->res[(r)].v)
+#define __rlim_val(l, r, v)	((l)->res[r].v)
 
-#define __rlim_soft(l,r)	__rlim_val(l,r,soft)
-#define __rlim_hard(l,r)	__rlim_val(l,r,hard)
+#define __rlim_soft(l, r)	__rlim_val(l, r, soft)
+#define __rlim_hard(l, r)	__rlim_val(l, r, hard)
 
-#define __rlim_rcur(l,r)	__rlim_val(l,r,rcur)
-#define __rlim_rmin(l,r)	__rlim_val(l,r,rmin)
-#define __rlim_rmax(l,r)	__rlim_val(l,r,rmax)
+#define __rlim_rcur(l, r)	__rlim_val(l, r, rcur)
+#define __rlim_rmin(l, r)	__rlim_val(l, r, rmin)
+#define __rlim_rmax(l, r)	__rlim_val(l, r, rmax)
 
-#define __rlim_lhit(l,r)	__rlim_val(l,r,lhit)
-#define __rlim_hit(l,r)		atomic_inc(&__rlim_lhit(l,r))
+#define __rlim_lhit(l, r)	__rlim_val(l, r, lhit)
+#define __rlim_hit(l, r)	atomic_inc(&__rlim_lhit(l, r))
 
 typedef atomic_long_t rlim_atomic_t;
 typedef unsigned long rlim_t;
 
-#define __rlim_get(l,r)		atomic_long_read(&__rlim_rcur(l,r))
-#define __rlim_set(l,r,v)	atomic_long_set(&__rlim_rcur(l,r), v)
-#define __rlim_inc(l,r)		atomic_long_inc(&__rlim_rcur(l,r))
-#define __rlim_dec(l,r)		atomic_long_dec(&__rlim_rcur(l,r))
-#define __rlim_add(l,r,v)	atomic_long_add(v, &__rlim_rcur(l,r))
-#define __rlim_sub(l,r,v)	atomic_long_sub(v, &__rlim_rcur(l,r))
+#define __rlim_get(l, r)	atomic_long_read(&__rlim_rcur(l, r))
+#define __rlim_set(l, r, v)	atomic_long_set(&__rlim_rcur(l, r), v)
+#define __rlim_inc(l, r)	atomic_long_inc(&__rlim_rcur(l, r))
+#define __rlim_dec(l, r)	atomic_long_dec(&__rlim_rcur(l, r))
+#define __rlim_add(l, r, v)	atomic_long_add(v, &__rlim_rcur(l, r))
+#define __rlim_sub(l, r, v)	atomic_long_sub(v, &__rlim_rcur(l, r))
 
 
 #if	(RLIM_INFINITY == VLIM_INFINITY)
diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/include/linux/vserver/limit_int.h linux-2.6.20.14-vs2.2.0.0.6/include/linux/vserver/limit_int.h
--- linux-2.6.20.14-vs2.2.0/include/linux/vserver/limit_int.h	2007-02-06 03:05:22 +0100
+++ linux-2.6.20.14-vs2.2.0.0.6/include/linux/vserver/limit_int.h	2007-06-14 18:12:05 +0200
@@ -5,8 +5,8 @@
 
 #ifdef	__KERNEL__
 
-#define VXD_RCRES_COND(r)	VXD_CBIT(cres, (r))
-#define VXD_RLIMIT_COND(r)	VXD_CBIT(limit, (r))
+#define VXD_RCRES_COND(r)	VXD_CBIT(cres, r)
+#define VXD_RLIMIT_COND(r)	VXD_CBIT(limit, r)
 
 extern const char *vlimit_name[NUM_LIMITS];
 
@@ -162,7 +162,7 @@ static inline int __vx_cres_array_avail(
 
 	limit = &vxi->limit;
 	res = *array;
-	value = __vx_cres_array_sum(limit, array+1);
+	value = __vx_cres_array_sum(limit, array + 1);
 
 	__rlim_set(limit, res, value);
 	__vx_cres_fixup(limit, res, value);
@@ -180,7 +180,7 @@ static inline void vx_limit_fixup(struct
 	if ((id < 0) || (id == RLIMIT_RSS))
 		__vx_cres_array_fixup(limit, VLA_RSS);
 
-	for (res=0; res<NUM_LIMITS; res++) {
+	for (res = 0; res < NUM_LIMITS; res++) {
 		if ((id > 0) && (res != id))
 			continue;
 
diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/kernel/vserver/cacct_proc.h linux-2.6.20.14-vs2.2.0.0.6/kernel/vserver/cacct_proc.h
--- linux-2.6.20.14-vs2.2.0/kernel/vserver/cacct_proc.h	2007-02-06 03:05:22 +0100
+++ linux-2.6.20.14-vs2.2.0.0.6/kernel/vserver/cacct_proc.h	2007-06-14 18:12:51 +0200
@@ -9,49 +9,44 @@
 
 static inline int vx_info_proc_cacct(struct _vx_cacct *cacct, char *buffer)
 {
-	int i,j, length = 0;
+	int i, j, length = 0;
 	static char *type[VXA_SOCK_SIZE] = {
-		"UNSPEC", "UNIX", "INET", "INET6", "PACKET", "OTHER" };
+		"UNSPEC", "UNIX", "INET", "INET6", "PACKET", "OTHER"
+	};
 
 	length += sprintf(buffer + length, VX_SOCKA_TOP);
-	for (i=0; i<VXA_SOCK_SIZE; i++) {
-		length += sprintf(buffer + length,
-			"%s:", type[i]);
-		for (j=0; j<3; j++) {
+	for (i = 0; i < VXA_SOCK_SIZE; i++) {
+		length += sprintf(buffer + length, "%s:", type[i]);
+		for (j = 0; j < 3; j++) {
 			length += sprintf(buffer + length,
-				"\t%10lu/%-10lu"
-				,vx_sock_count(cacct, i, j)
-				,vx_sock_total(cacct, i, j)
-				);
+				"\t%10lu/%-10lu",
+				vx_sock_count(cacct, i, j),
+				vx_sock_total(cacct, i, j));
 		}
 		buffer[length++] = '\n';
 	}
 
 	length += sprintf(buffer + length, "\n");
 	length += sprintf(buffer + length,
-		"slab:\t %8u %8u %8u %8u\n"
-		,atomic_read(&cacct->slab[1])
-		,atomic_read(&cacct->slab[4])
-		,atomic_read(&cacct->slab[0])
-		,atomic_read(&cacct->slab[2])
-		);
+		"slab:\t %8u %8u %8u %8u\n",
+		atomic_read(&cacct->slab[1]),
+		atomic_read(&cacct->slab[4]),
+		atomic_read(&cacct->slab[0]),
+		atomic_read(&cacct->slab[2]));
 
 	length += sprintf(buffer + length, "\n");
-	for (i=0; i<5; i++) {
+	for (i = 0; i < 5; i++) {
 		length += sprintf(buffer + length,
-			"page[%d]: %8u %8u %8u %8u\t %8u %8u %8u %8u\n"
-			,i
-			,atomic_read(&cacct->page[i][0])
-			,atomic_read(&cacct->page[i][1])
-			,atomic_read(&cacct->page[i][2])
-			,atomic_read(&cacct->page[i][3])
-			,atomic_read(&cacct->page[i][4])
-			,atomic_read(&cacct->page[i][5])
-			,atomic_read(&cacct->page[i][6])
-			,atomic_read(&cacct->page[i][7])
-			);
+			"page[%d]: %8u %8u %8u %8u\t %8u %8u %8u %8u\n", i,
+			atomic_read(&cacct->page[i][0]),
+			atomic_read(&cacct->page[i][1]),
+			atomic_read(&cacct->page[i][2]),
+			atomic_read(&cacct->page[i][3]),
+			atomic_read(&cacct->page[i][4]),
+			atomic_read(&cacct->page[i][5]),
+			atomic_read(&cacct->page[i][6]),
+			atomic_read(&cacct->page[i][7]));
 	}
-
 	return length;
 }
 
diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/kernel/vserver/context.c linux-2.6.20.14-vs2.2.0.0.6/kernel/vserver/context.c
--- linux-2.6.20.14-vs2.2.0/kernel/vserver/context.c	2007-04-01 16:26:13 +0200
+++ linux-2.6.20.14-vs2.2.0.0.6/kernel/vserver/context.c	2007-06-14 19:18:42 +0200
@@ -79,7 +79,7 @@ static struct vx_info *__alloc_vx_info(x
 	if (!new)
 		return 0;
 
-	memset (new, 0, sizeof(struct vx_info));
+	memset(new, 0, sizeof(struct vx_info));
 #ifdef CONFIG_SMP
 	new->ptr_pc = alloc_percpu(struct _vx_info_pc);
 	if (!new->ptr_pc)
@@ -301,7 +301,7 @@ static inline struct vx_info *__lookup_v
 found:
 	vxdprintk(VXD_CBIT(xid, 0),
 		"__lookup_vx_info(#%u): %p[#%u]",
-		xid, vxi, vxi?vxi->vx_id:0);
+		xid, vxi, vxi ? vxi->vx_id : 0);
 	vxh_lookup_vx_info(vxi, xid);
 	return vxi;
 }
@@ -337,7 +337,7 @@ static inline xid_t __vx_dynamic_id(void
 	* locate or create the requested context
 	* get() it and if new hash it				*/
 
-static struct vx_info * __loc_vx_info(int id, int *err)
+static struct vx_info *__loc_vx_info(int id, int *err)
 {
 	struct vx_info *new, *vxi = NULL;
 
@@ -404,7 +404,7 @@ out_unlock:
 	* create the requested context
 	* get(), claim() and hash it				*/
 
-static struct vx_info * __create_vx_info(int id)
+static struct vx_info *__create_vx_info(int id)
 {
 	struct vx_info *new, *vxi = NULL;
 
@@ -461,7 +461,7 @@ static struct vx_info * __create_vx_info
 
 out_unlock:
 	spin_unlock(&vx_info_hash_lock);
-	vxh_create_vx_info(IS_ERR(vxi)?NULL:vxi, id);
+	vxh_create_vx_info(IS_ERR(vxi) ? NULL : vxi, id);
 	if (new)
 		__dealloc_vx_info(new);
 	return vxi;
@@ -537,7 +537,7 @@ int get_xid_list(int index, unsigned int
 	int hindex, nr_xids = 0;
 
 	/* only show current and children */
-	if (!vx_check(0, VS_ADMIN|VS_WATCH)) {
+	if (!vx_check(0, VS_ADMIN | VS_WATCH)) {
 		if (index > 0)
 			return 0;
 		xids[nr_xids] = vx_current_xid();
@@ -715,8 +715,8 @@ int vx_migrate_task(struct task_struct *
 
 		/* hack for *spaces to provide compatibility */
 		if (unshare) {
-			ret = sys_unshare(CLONE_NEWUTS|CLONE_NEWIPC);
-			vx_set_space(vxi, CLONE_NEWUTS|CLONE_NEWIPC);
+			ret = sys_unshare(CLONE_NEWUTS | CLONE_NEWIPC);
+			vx_set_space(vxi, CLONE_NEWUTS | CLONE_NEWIPC);
 		}
 	}
 out:
@@ -840,15 +840,14 @@ int vc_task_xid(uint32_t id, void __user
 	if (id) {
 		struct task_struct *tsk;
 
-		if (!vx_check(0, VS_ADMIN|VS_WATCH))
+		if (!vx_check(0, VS_ADMIN | VS_WATCH))
 			return -EPERM;
 
 		read_lock(&tasklist_lock);
 		tsk = find_task_by_real_pid(id);
 		xid = (tsk) ? tsk->xid : -ESRCH;
 		read_unlock(&tasklist_lock);
-	}
-	else
+	} else
 		xid = vx_current_xid();
 	return xid;
 }
@@ -861,7 +860,7 @@ int vc_vx_info(struct vx_info *vxi, void
 	vc_data.xid = vxi->vx_id;
 	vc_data.initpid = vxi->vx_initpid;
 
-	if (copy_to_user (data, &vc_data, sizeof(vc_data)))
+	if (copy_to_user(data, &vc_data, sizeof(vc_data)))
 		return -EFAULT;
 	return 0;
 }
@@ -874,7 +873,7 @@ int vc_ctx_stat(struct vx_info *vxi, voi
 	vc_data.usecnt = atomic_read(&vxi->vx_usecnt);
 	vc_data.tasks = atomic_read(&vxi->vx_tasks);
 
-	if (copy_to_user (data, &vc_data, sizeof(vc_data)))
+	if (copy_to_user(data, &vc_data, sizeof(vc_data)))
 		return -EFAULT;
 	return 0;
 }
@@ -888,7 +887,7 @@ int vc_ctx_create(uint32_t xid, void __u
 	struct vx_info *new_vxi;
 	int ret;
 
-	if (data && copy_from_user (&vc_data, data, sizeof(vc_data)))
+	if (data && copy_from_user(&vc_data, data, sizeof(vc_data)))
 		return -EFAULT;
 
 	if ((xid > MAX_S_CONTEXT) && (xid != VX_DYNAMIC_ID))
@@ -929,7 +928,7 @@ int vc_ctx_migrate(struct vx_info *vxi, 
 	struct vcmd_ctx_migrate vc_data = { .flagword = 0 };
 	int ret;
 
-	if (data && copy_from_user (&vc_data, data, sizeof(vc_data)))
+	if (data && copy_from_user(&vc_data, data, sizeof(vc_data)))
 		return -EFAULT;
 
 	ret = vx_migrate_task(current, vxi, 0);
@@ -954,7 +953,7 @@ int vc_get_cflags(struct vx_info *vxi, v
 	/* special STATE flag handling */
 	vc_data.mask = vs_mask_flags(~0UL, vxi->vx_flags, VXF_ONE_TIME);
 
-	if (copy_to_user (data, &vc_data, sizeof(vc_data)))
+	if (copy_to_user(data, &vc_data, sizeof(vc_data)))
 		return -EFAULT;
 	return 0;
 }
@@ -964,7 +963,7 @@ int vc_set_cflags(struct vx_info *vxi, v
 	struct vcmd_ctx_flags_v0 vc_data;
 	uint64_t mask, trigger;
 
-	if (copy_from_user (&vc_data, data, sizeof(vc_data)))
+	if (copy_from_user(&vc_data, data, sizeof(vc_data)))
 		return -EFAULT;
 
 	/* special STATE flag handling */
@@ -1014,7 +1013,7 @@ int vc_get_ccaps_v0(struct vx_info *vxi,
 		return ret;
 	vc_data.cmask = ~0UL;
 
-	if (copy_to_user (data, &vc_data, sizeof(vc_data)))
+	if (copy_to_user(data, &vc_data, sizeof(vc_data)))
 		return -EFAULT;
 	return 0;
 }
@@ -1029,7 +1028,7 @@ int vc_get_ccaps(struct vx_info *vxi, vo
 		return ret;
 	vc_data.cmask = ~0UL;
 
-	if (copy_to_user (data, &vc_data, sizeof(vc_data)))
+	if (copy_to_user(data, &vc_data, sizeof(vc_data)))
 		return -EFAULT;
 	return 0;
 }
@@ -1047,7 +1046,7 @@ int vc_set_ccaps_v0(struct vx_info *vxi,
 {
 	struct vcmd_ctx_caps_v0 vc_data;
 
-	if (copy_from_user (&vc_data, data, sizeof(vc_data)))
+	if (copy_from_user(&vc_data, data, sizeof(vc_data)))
 		return -EFAULT;
 
 	/* simulate old &= behaviour for bcaps */
@@ -1059,7 +1058,7 @@ int vc_set_ccaps(struct vx_info *vxi, vo
 {
 	struct vcmd_ctx_caps_v1 vc_data;
 
-	if (copy_from_user (&vc_data, data, sizeof(vc_data)))
+	if (copy_from_user(&vc_data, data, sizeof(vc_data)))
 		return -EFAULT;
 
 	return do_set_caps(vxi, 0, 0, vc_data.ccaps, vc_data.cmask);
@@ -1075,7 +1074,7 @@ int vc_get_bcaps(struct vx_info *vxi, vo
 		return ret;
 	vc_data.bmask = ~0UL;
 
-	if (copy_to_user (data, &vc_data, sizeof(vc_data)))
+	if (copy_to_user(data, &vc_data, sizeof(vc_data)))
 		return -EFAULT;
 	return 0;
 }
@@ -1084,7 +1083,7 @@ int vc_set_bcaps(struct vx_info *vxi, vo
 {
 	struct vcmd_bcaps vc_data;
 
-	if (copy_from_user (&vc_data, data, sizeof(vc_data)))
+	if (copy_from_user(&vc_data, data, sizeof(vc_data)))
 		return -EFAULT;
 
 	return do_set_caps(vxi, vc_data.bcaps, vc_data.bmask, 0, 0);
diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/kernel/vserver/cvirt_proc.h linux-2.6.20.14-vs2.2.0.0.6/kernel/vserver/cvirt_proc.h
--- linux-2.6.20.14-vs2.2.0/kernel/vserver/cvirt_proc.h	2007-02-06 05:55:13 +0100
+++ linux-2.6.20.14-vs2.2.0.0.6/kernel/vserver/cvirt_proc.h	2007-06-14 18:18:25 +0200
@@ -34,12 +34,12 @@ int vx_info_proc_nsproxy(struct nsproxy 
 		goto skip_ns;
 
 	mnt = ns->root;
-	root = d_path(mnt->mnt_root, mnt->mnt_parent, path, PATH_MAX-2);
+	root = d_path(mnt->mnt_root, mnt->mnt_parent, path, PATH_MAX - 2);
 	length += sprintf(buffer + length,
 		"Namespace:\t%p [#%u]\n"
-		"RootPath:\t%s\n"
-		,ns , atomic_read(&ns->count)
-		,root);
+		"RootPath:\t%s\n",
+		ns, atomic_read(&ns->count),
+		root);
 	kfree(path);
 skip_ns:
 
@@ -53,14 +53,13 @@ skip_ns:
 		"Release:\t%.*s\n"
 		"Version:\t%.*s\n"
 		"Machine:\t%.*s\n"
-		"DomainName:\t%.*s\n"
-		,__NEW_UTS_LEN, uts->name.sysname
-		,__NEW_UTS_LEN, uts->name.nodename
-		,__NEW_UTS_LEN, uts->name.release
-		,__NEW_UTS_LEN, uts->name.version
-		,__NEW_UTS_LEN, uts->name.machine
-		,__NEW_UTS_LEN, uts->name.domainname
-		);
+		"DomainName:\t%.*s\n",
+		__NEW_UTS_LEN, uts->name.sysname,
+		__NEW_UTS_LEN, uts->name.nodename,
+		__NEW_UTS_LEN, uts->name.release,
+		__NEW_UTS_LEN, uts->name.version,
+		__NEW_UTS_LEN, uts->name.machine,
+		__NEW_UTS_LEN, uts->name.domainname);
 skip_uts:
 
 	ipc = nsproxy->ipc_ns;
@@ -70,17 +69,15 @@ skip_uts:
 	length += sprintf(buffer + length,
 		"SEMS:\t\t%d %d %d %d  %d\n"
 		"MSG:\t\t%d %d %d\n"
-		"SHM:\t\t%lu %lu  %d %d\n"
-		,ipc->sem_ctls[0], ipc->sem_ctls[1]
-		,ipc->sem_ctls[2], ipc->sem_ctls[3]
-		,ipc->used_sems
-		,ipc->msg_ctlmax, ipc->msg_ctlmnb, ipc->msg_ctlmni
-		,(unsigned long)ipc->shm_ctlmax
-		,(unsigned long)ipc->shm_ctlall
-		,ipc->shm_ctlmni, ipc->shm_tot
-		);
+		"SHM:\t\t%lu %lu  %d %d\n",
+		ipc->sem_ctls[0], ipc->sem_ctls[1],
+		ipc->sem_ctls[2], ipc->sem_ctls[3],
+		ipc->used_sems,
+		ipc->msg_ctlmax, ipc->msg_ctlmnb, ipc->msg_ctlmni,
+		(unsigned long)ipc->shm_ctlmax,
+		(unsigned long)ipc->shm_ctlall,
+		ipc->shm_ctlmni, ipc->shm_tot);
 skip_ipc:
-
 out:
 	return length;
 }
@@ -89,7 +86,7 @@ out:
 #include <linux/sched.h>
 
 #define LOAD_INT(x) ((x) >> FSHIFT)
-#define LOAD_FRAC(x) LOAD_INT(((x) & (FIXED_1-1)) * 100)
+#define LOAD_FRAC(x) LOAD_INT(((x) & (FIXED_1 - 1)) * 100)
 
 static inline
 int vx_info_proc_cvirt(struct _vx_cvirt *cvirt, char *buffer)
@@ -99,12 +96,12 @@ int vx_info_proc_cvirt(struct _vx_cvirt 
 
 	length += sprintf(buffer + length,
 		"BiasUptime:\t%lu.%02lu\n",
-			(unsigned long)cvirt->bias_uptime.tv_sec,
-			(cvirt->bias_uptime.tv_nsec / (NSEC_PER_SEC / 100)));
+		(unsigned long)cvirt->bias_uptime.tv_sec,
+		(cvirt->bias_uptime.tv_nsec / (NSEC_PER_SEC / 100)));
 
-	a = cvirt->load[0] + (FIXED_1/200);
-	b = cvirt->load[1] + (FIXED_1/200);
-	c = cvirt->load[2] + (FIXED_1/200);
+	a = cvirt->load[0] + (FIXED_1 / 200);
+	b = cvirt->load[1] + (FIXED_1 / 200);
+	c = cvirt->load[2] + (FIXED_1 / 200);
 	length += sprintf(buffer + length,
 		"nr_threads:\t%d\n"
 		"nr_running:\t%d\n"
@@ -112,18 +109,16 @@ int vx_info_proc_cvirt(struct _vx_cvirt 
 		"nr_onhold:\t%d\n"
 		"load_updates:\t%d\n"
 		"loadavg:\t%d.%02d %d.%02d %d.%02d\n"
-		"total_forks:\t%d\n"
-		,atomic_read(&cvirt->nr_threads)
-		,atomic_read(&cvirt->nr_running)
-		,atomic_read(&cvirt->nr_uninterruptible)
-		,atomic_read(&cvirt->nr_onhold)
-		,atomic_read(&cvirt->load_updates)
-		,LOAD_INT(a), LOAD_FRAC(a)
-		,LOAD_INT(b), LOAD_FRAC(b)
-		,LOAD_INT(c), LOAD_FRAC(c)
-		,atomic_read(&cvirt->total_forks)
-		);
-
+		"total_forks:\t%d\n",
+		atomic_read(&cvirt->nr_threads),
+		atomic_read(&cvirt->nr_running),
+		atomic_read(&cvirt->nr_uninterruptible),
+		atomic_read(&cvirt->nr_onhold),
+		atomic_read(&cvirt->load_updates),
+		LOAD_INT(a), LOAD_FRAC(a),
+		LOAD_INT(b), LOAD_FRAC(b),
+		LOAD_INT(c), LOAD_FRAC(c),
+		atomic_read(&cvirt->total_forks));
 	return length;
 }
 
diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/kernel/vserver/limit_proc.h linux-2.6.20.14-vs2.2.0.0.6/kernel/vserver/limit_proc.h
--- linux-2.6.20.14-vs2.2.0/kernel/vserver/limit_proc.h	2007-02-06 03:05:22 +0100
+++ linux-2.6.20.14-vs2.2.0.0.6/kernel/vserver/limit_proc.h	2007-06-13 04:54:45 +0200
@@ -9,12 +9,12 @@
 	"Limit\t current\t     min/max\t\t    soft/hard\t\thits\n"
 
 #define VX_LIMIT_ARG(r)				\
-	,(unsigned long)__rlim_get(limit, r)	\
-	,(unsigned long)__rlim_rmin(limit, r)	\
-	,(unsigned long)__rlim_rmax(limit, r)	\
-	,VX_VLIM(__rlim_soft(limit, r))		\
-	,VX_VLIM(__rlim_hard(limit, r))		\
-	,atomic_read(&__rlim_lhit(limit, r))
+	(unsigned long)__rlim_get(limit, r),	\
+	(unsigned long)__rlim_rmin(limit, r),	\
+	(unsigned long)__rlim_rmax(limit, r),	\
+	VX_VLIM(__rlim_soft(limit, r)),		\
+	VX_VLIM(__rlim_hard(limit, r)),		\
+	atomic_read(&__rlim_lhit(limit, r))
 
 static inline int vx_info_proc_limit(struct _vx_limit *limit, char *buffer)
 {
@@ -34,23 +34,22 @@ static inline int vx_info_proc_limit(str
 		"SHM"	VX_LIMIT_FMT
 		"SEMA"	VX_LIMIT_FMT
 		"SEMS"	VX_LIMIT_FMT
-		"DENT"	VX_LIMIT_FMT
-		VX_LIMIT_ARG(RLIMIT_NPROC)
-		VX_LIMIT_ARG(RLIMIT_AS)
-		VX_LIMIT_ARG(RLIMIT_MEMLOCK)
-		VX_LIMIT_ARG(RLIMIT_RSS)
-		VX_LIMIT_ARG(VLIMIT_ANON)
-		VX_LIMIT_ARG(VLIMIT_MAPPED)
-		VX_LIMIT_ARG(RLIMIT_NOFILE)
-		VX_LIMIT_ARG(VLIMIT_OPENFD)
-		VX_LIMIT_ARG(RLIMIT_LOCKS)
-		VX_LIMIT_ARG(VLIMIT_NSOCK)
-		VX_LIMIT_ARG(RLIMIT_MSGQUEUE)
-		VX_LIMIT_ARG(VLIMIT_SHMEM)
-		VX_LIMIT_ARG(VLIMIT_SEMARY)
-		VX_LIMIT_ARG(VLIMIT_NSEMS)
-		VX_LIMIT_ARG(VLIMIT_DENTRY)
-		);
+		"DENT"	VX_LIMIT_FMT,
+		VX_LIMIT_ARG(RLIMIT_NPROC),
+		VX_LIMIT_ARG(RLIMIT_AS),
+		VX_LIMIT_ARG(RLIMIT_MEMLOCK),
+		VX_LIMIT_ARG(RLIMIT_RSS),
+		VX_LIMIT_ARG(VLIMIT_ANON),
+		VX_LIMIT_ARG(VLIMIT_MAPPED),
+		VX_LIMIT_ARG(RLIMIT_NOFILE),
+		VX_LIMIT_ARG(VLIMIT_OPENFD),
+		VX_LIMIT_ARG(RLIMIT_LOCKS),
+		VX_LIMIT_ARG(VLIMIT_NSOCK),
+		VX_LIMIT_ARG(RLIMIT_MSGQUEUE),
+		VX_LIMIT_ARG(VLIMIT_SHMEM),
+		VX_LIMIT_ARG(VLIMIT_SEMARY),
+		VX_LIMIT_ARG(VLIMIT_NSEMS),
+		VX_LIMIT_ARG(VLIMIT_DENTRY));
 }
 
 #endif	/* _VX_LIMIT_PROC_H */
diff -NurpP --minimal linux-2.6.20.14-vs2.2.0/kernel/vserver/network.c linux-2.6.20.14-vs2.2.0.0.6/kernel/vserver/network.c
--- linux-2.6.20.14-vs2.2.0/kernel/vserver/network.c	2007-04-01 16:26:13 +0200
+++ linux-2.6.20.14-vs2.2.0.0.6/kernel/vserver/network.c	2007-06-14 18:21:10 +0200
@@ -44,7 +44,7 @@ static struct nx_info *__alloc_nx_info(n
 	if (!new)
 		return 0;
 
-	memset (new, 0, sizeof(struct nx_info));
+	memset(new, 0, sizeof(struct nx_info));
 	new->nx_id = nid;
 	INIT_HLIST_NODE(&new->nx_hlist);
 	atomic_set(&new->nx_usecnt, 0);
@@ -187,7 +187,7 @@ static inline struct nx_info *__lookup_n
 found:
 	vxdprintk(VXD_CBIT(nid, 0),
 		"__lookup_nx_info(#%u): %p[#%u]",
-		nid, nxi, nxi?nxi->nx_id:0);
+		nid, nxi, nxi ? nxi->nx_id : 0);
 	return nxi;
 }
 
@@ -220,7 +220,7 @@ static inline nid_t __nx_dynamic_id(void
 	* create the requested context
 	* get(), claim() and hash it				*/
 
-static struct nx_info * __create_nx_info(int id)
+static struct nx_info *__create_nx_info(int id)
 {
 	struct nx_info *new, *nxi = NULL;
 
@@ -348,7 +348,7 @@ int get_nid_list(int index, unsigned int
 	int hindex, nr_nids = 0;
 
 	/* only show current and children */
-	if (!nx_check(0, VS_ADMIN|VS_WATCH)) {
+	if (!nx_check(0, VS_ADMIN | VS_WATCH)) {
 		if (index > 0)
 			return 0;
 		nids[nr_nids] = nx_current_nid();
@@ -488,9 +488,9 @@ static inline int __addr_in_socket(const
 	uint32_t saddr = inet_rcv_saddr(sk);
 
 	vxdprintk(VXD_CBIT(net, 5),
-		"__addr_in_socket(%p,%d.%d.%d.%d) %p:%d.%d.%d.%d %p;%lx",
-		sk, VXD_QUAD(addr), nxi, VXD_QUAD(saddr), sk->sk_socket,
-		(sk->sk_socket?sk->sk_socket->flags:0));
+		"__addr_in_socket(%p," NIPQUAD_FMT ") %p:" NIPQUAD_FMT " %p;%lx",
+		sk, NIPQUAD(addr), nxi, NIPQUAD(saddr), sk->sk_socket,
+		(sk->sk_socket ? sk->sk_socket->flags : 0));
 
 	if (saddr) {
 		/* direct address match */
@@ -508,8 +508,8 @@ static inline int __addr_in_socket(const
 int nx_addr_conflict(struct nx_info *nxi, uint32_t addr, const struct sock *sk)
 {
 	vxdprintk(VXD_CBIT(net, 2),
-		"nx_addr_conflict(%p,%p) %d.%d,%d.%d",
-		nxi, sk, VXD_QUAD(addr));
+		"nx_addr_conflict(%p,%p) " NIPQUAD_FMT,
+		nxi, sk, NIPQUAD(addr));
 
 	if (addr) {
 		/* check real address */
@@ -518,7 +518,7 @@ int nx_addr_conflict(struct nx_info *nxi
 		/* check against nx_info */
 		int i, n = nxi->nbipv4;
 
-		for (i=0; i<n; i++)
+		for (i = 0; i < n; i++)
 			if (__addr_in_socket(sk, nxi->ipv4[i]))
 				return 1;
 		return 0;
@@ -570,15 +570,14 @@ int vc_task_nid(uint32_t id, void __user
 	if (id) {
 		struct task_struct *tsk;
 
-		if (!nx_check(0, VS_ADMIN|VS_WATCH))
+		if (!nx_check(0, VS_ADMIN | VS_WATCH))
 			return -EPERM;
 
 		read_lock(&tasklist_lock);
 		tsk = find_task_by_real_pid(id);
 		nid = (tsk) ? tsk->nid : -ESRCH;
 		read_unlock(&tasklist_lock);
-	}
-	else
+	} else
 		nid = nx_current_nid();
 	return nid;
 }
@@ -590,7 +589,7 @@ int vc_nx_info(struct nx_info *nxi, void
 
 	vc_data.nid = nxi->nx_id;
 
-	if (copy_to_user (data, &vc_data, sizeof(vc_data)))
+	if (copy_to_user(data, &vc_data, sizeof(vc_data)))
 		return -EFAULT;
 	return 0;
 }
@@ -604,7 +603,7 @@ int vc_net_create(uint32_t nid, void __u
 	struct nx_info *new_nxi;
 	int ret;
 
-	if (data && copy_from_user (&vc_data, data, sizeof(vc_data)))
+	if (data && copy_from_user(&vc_data, data, sizeof(vc_data)))
 		return -EFAULT;
 
 	if ((nid > MAX_S_CONTEXT) && (nid != NX_DYNAMIC_ID))
@@ -650,7 +649,7 @@ int vc_net_add(struct nx_info *nxi, void
 	struct vcmd_net_addr_v0 vc_data;
 	int index, pos, ret = 0;
 
-	if (data && copy_from_user (&vc_data, data, sizeof(vc_data)))
+	if (data && copy_from_user(&vc_data, data, sizeof(vc_data)))
 		return -EFAULT;
 
 	switch (vc_data.type) {
@@ -688,11 +687,11 @@ int vc_net_add(struct nx_info *nxi, void
 	return ret;
 }
 
-int vc_net_remove(struct nx_info * nxi, void __user *data)
+int vc_net_remove(struct nx_info *nxi, void __user *data)
 {
 	struct vcmd_net_addr_v0 vc_data;
 
-	if (data && copy_from_user (&vc_data, data, sizeof(vc_data)))
+	if (data && copy_from_user(&vc_data, data, sizeof(vc_data)))
 		return -EFAULT;
 
 	switch (vc_data.type) {
@@ -715,7 +714,7 @@ int vc_get_nflags(struct nx_info *nxi, v
 	/* special STATE flag handling */
 	vc_data.mask = vs_mask_flags(~0UL, nxi->nx_flags, NXF_ONE_TIME);
 
-	if (copy_to_user (data, &vc_data, sizeof(vc_data)))
+	if (copy_to_user(data, &vc_data, sizeof(vc_data)))
 		return -EFAULT;
 	return 0;
 }
@@ -725,7 +724,7 @@ int vc_set_nflags(struct nx_info *nxi, v
 	struct vcmd_net_flags_v0 vc_data;
 	uint64_t mask, trigger;
 
-	if (copy_from_user (&vc_data, data, sizeof(vc_data)))
+	if (copy_from_user(&vc_data, data, sizeof(vc_data)))
 		return -EFAULT;
 
 	/* special STATE flag handling */
@@ -747,7 +746,7 @@ int vc_get_ncaps(struct nx_info *nxi, vo
 	vc_data.ncaps = nxi->nx_ncaps;
 	vc_data.cmask = ~0UL;
 
-	if (copy_to_user (data, &vc_data, sizeof(vc_data)))
+	if (copy_to_user(data, &vc_data, sizeof(vc_data)))
 		return -EFAULT;
 	return 0;
 }
@@ -756,7 +755,7 @@ int vc_set_ncaps(struct nx_info *nxi, vo
 {
 	struct vcmd_net_caps_v0 vc_data;
 
-	if (copy_from_user (&vc_data, data, sizeof(vc_data)))
+	if (copy_from_user(&vc_data, data, sizeof(vc_data)))
 		return -EFAULT;
 
 	nxi->nx_ncaps = vs_mask_flags(nxi->nx_ncaps,
